*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: "Montserrat", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

.container{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

.container--narrow{
    max-width: 40rem;
}

header{
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}

nav a{
    padding: 1rem 2rem;
    color: inherit;
    text-decoration:none;

}

nav ul{
    padding:0;
    margin:0;
    margin-left: -2rem;
    list-style: none;
}

nav a:hover{
    background-color: oklch(0.4495 0 0);
}

nav a:focus-visible{
    outline: 4px dotted   oklch(0.7 0.1891 141.53);
    outline-offset: 4px;
}

nav ul li:nth-child(2){
    color: oklch(0.8373 0.1916 128.82) ;
    background-color:oklch(0.099 0.014 128.82) ;
}

footer.container > :last-child{
    margin:0;
}

footer .highlight{
    font-weight: normal;
    font-style: normal;
    color: oklch(0.8402 0.1151 196.59);
}

main{
    padding-top: 2vh;
    padding-bottom: 4vw;
}

footer{
    background-color: oklch(0.8049 0.1496 81.18);
}

h2 + p {
    font-style : italic;
}

a[href*="mozilla"]{
    background-color: rgba(255, 165, 0, 0.5);
}

.highlight{
    font-weight: bold;
    font-style: italic;

}

